### Method

# Gtk CenterLayout set_center_widget

#### Declaration [src]

    void
    gtk_center_layout_set_center_widget (
      GtkCenterLayout* self,
      GtkWidget* widget
    )

#### Description [src]

Sets the new center widget of `self`.

To remove the existing center widget, pass `NULL`.

#### Parameters

`widget`

  Type: `GtkWidget`

  The new center widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.